## org.eclipse.emf.codegen.action
Class CompileTemplateAction

    java.lang.Object
      org.eclipse.emf.codegen.action.CompileTemplateAction

All Implemented Interfaces:
  IActionDelegate

    public class CompileTemplateAction

extends java.lang.Object
implements IActionDelegate

Compile the JET template.

Field Summary
`protected ISelection` `selection`

Constructor Summary
`CompileTemplateAction()`

Method Summary
`protected java.util.List<?>` `getSelectedObjects()`
`protected boolean` `isSupportedAction(java.lang.Object object)`
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`
`protected void` `setActionState(IAction action)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### selection

    protected ISelection selection

Constructor Detail

### CompileTemplateAction

    public CompileTemplateAction()

Method Detail

### run

    public void run(IAction action)

  Specified by:
    `run` in interface `IActionDelegate`

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

  Specified by:
    `selectionChanged` in interface `IActionDelegate`

### setActionState

    protected void setActionState(IAction action)

### getSelectedObjects

    protected java.util.List<?> getSelectedObjects()

### isSupportedAction

    protected boolean isSupportedAction(java.lang.Object object)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.